{
  "name": "googlebusinessprofile",
  "display_name": "Google Business Profile",
  "description": "Consume Google Business Profile API",
  "group": [
    "transform"
  ],
  "versions": [
    1.0
  ],
  "inputs": 1,
  "outputs": 1,
  "credentials": [
    {
      "name": "googleBusinessProfileOAuth2Api",
      "required": true
    }
  ],
  "properties": [
    {
      "name": "resource",
      "display_name": "Resource",
      "kind": "options",
      "required": false,
      "default": "post"
    }
  ],
  "source_path": "/home/mcochran/n8n/packages/nodes-base/nodes/Google/BusinessProfile/GoogleBusinessProfile.node.ts",
  "routing": {
    "base_url": "https://mybusiness.googleapis.com/v4",
    "auth_headers": [],
    "auth_query": [],
    "credential_name": "googleBusinessProfileOAuth2Api",
    "operations": [
      {
        "value": "delete",
        "method": "DELETE",
        "url": "/{{$parameter[",
        "body": ""
      },
      {
        "value": "get",
        "method": "GET",
        "url": "/{{$parameter[",
        "body": ""
      },
      {
        "value": "getAll",
        "method": "GET",
        "url": "/{{$parameter[",
        "body": ""
      },
      {
        "value": "reply",
        "method": "PUT",
        "url": "/{{$parameter[",
        "body": ""
      },
      {
        "value": "create",
        "method": "POST",
        "url": "/{{$parameter[",
        "body": ""
      },
      {
        "value": "update",
        "method": "PATCH",
        "url": "/{{$parameter[",
        "body": ""
      }
    ],
    "sends": [
      {
        "param_name": "reply",
        "send_type": "body",
        "dest_key": "comment",
        "applies_to_operations": [
          "reply"
        ],
        "applies_to_resources": [
          "review"
        ]
      },
      {
        "param_name": "postType",
        "send_type": "body",
        "dest_key": "topicType",
        "applies_to_operations": [
          "create"
        ],
        "applies_to_resources": [
          "post"
        ]
      },
      {
        "param_name": "summary",
        "send_type": "body",
        "dest_key": "summary",
        "applies_to_operations": [
          "create"
        ],
        "applies_to_resources": [
          "post"
        ]
      },
      {
        "param_name": "title",
        "send_type": "body",
        "dest_key": "event.title",
        "applies_to_operations": [
          "create"
        ],
        "applies_to_resources": [
          "post"
        ]
      },
      {
        "param_name": "alertType",
        "send_type": "body",
        "dest_key": "alertType",
        "applies_to_operations": [
          "create"
        ],
        "applies_to_resources": [
          "post"
        ]
      },
      {
        "param_name": "languageCode",
        "send_type": "body",
        "dest_key": "languageCode",
        "applies_to_operations": [
          "create"
        ],
        "applies_to_resources": [
          "post"
        ]
      },
      {
        "param_name": "callToActionType",
        "send_type": "body",
        "dest_key": "callToAction.actionType",
        "applies_to_operations": [],
        "applies_to_resources": []
      },
      {
        "param_name": "url",
        "send_type": "body",
        "dest_key": "callToAction.url",
        "applies_to_operations": [],
        "applies_to_resources": []
      },
      {
        "param_name": "couponCode",
        "send_type": "body",
        "dest_key": "offer.couponCode",
        "applies_to_operations": [],
        "applies_to_resources": []
      },
      {
        "param_name": "redeemOnlineUrl",
        "send_type": "body",
        "dest_key": "offer.redeemOnlineUrl",
        "applies_to_operations": [],
        "applies_to_resources": []
      },
      {
        "param_name": "termsConditions",
        "send_type": "body",
        "dest_key": "offer.termsConditions",
        "applies_to_operations": [],
        "applies_to_resources": []
      }
    ]
  }
}